#!/bin/sh

name="aumix"
title="Aumix"
package="aumix"
version="2.8"
build="3"
noarch="n"
build_info=""

info="A mixer for the terminal or X11, with mouse support."
desc="aumix is a program for adjusting an audio mixer. It can run
under X with GTK+, in full- screen text mode with ncurses and
(if available) gpm, or non-interactively, and can store all
settings in a file. It works with the OSS API. "
category="audio/mixer"
environment="console/curses x11/gtk"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="ABOUT-NLS,AUTHORS,BUGS,COPYING,ChangeLog,INSTALL,NEWS,README,TODO"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://jpj.net/~trevor/aumix/$name-$version.tar.bz2

if [ "$slackver_maj" = "9" ]; then

    verbose "Do you want to compile against GTK+2? Note that if your language has some"
    verbose "non-standard characters, they will be not displayed correctly with GTK+2."
    verbose "Then it is recommended to say 'n' to build with old GTK+1."
    yes_or_no use_gtk2 n

fi

configure_option --prefix=/usr

if [ "$use_gtk2" = "y" ]; then
    configure_option --without-gtk1
    build_info "Against GTK+2."
    package_suffix gtk+2
else
    configure_option --without-gtk
    build_info "Against GTK+1."
fi

install_option DESTDIR=$pkg_main

parent_package="$package"
write_info main

cd $src1

#if [ "$slackver_maj" = "9" ]; then
#
#    cd po
#    rm -f *.gmo
#
#    for i in *.po; do
#
#	msgconv -t UTF-8 -o $i.new $i
#	cat $i.new > $i
#
#    done
#
#    cd ..
#
#fi

do_configure
do_make
do_install

make_docs

make_package main

clean_up

# $Log: aumix.builder,v $
# Revision 1.8  2003/03/12 15:37:58  swiergot
# - Build 3.
#
# Revision 1.7  2003/03/12 15:12:15  swiergot
# - If we're on Slackware 9, ask user whether to use GTK+2.
# - Add package_suffix gtk+2 if we link against GTK+2.
# - Set proper build info.
# - Added code to convert translations to UTF-8 but commented this out as this
#   doesn't work properly. If anyone knows the solution, please mail me.
#
# Revision 1.6  2003/03/12 15:08:04  swiergot
# *** empty log message ***
#
# Revision 1.5  2003/03/12 08:21:59  swiergot
# - Build 2.
#
# Revision 1.4  2003/03/12 08:13:23  swiergot
# - Enable using GTK+2 where available.
#
# Revision 1.3  2003/01/03 22:32:06  swiergot
# - Build 1.
#
# Revision 1.2  2003/01/03 22:14:50  swiergot
# - Added configure_option --without-gtk to disable using GTK+ version 2.
#
# Revision 1.1  2003/01/03 22:07:44  swiergot
# - Initial release.
# - Version 2.8.
#
